This URL adds a packet capture rule template.
Resource URL
POST /domain/<domain_id>/packetcaptureruletemplate
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domain_id | Domain id | Number | Yes |
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| templateName | Name of template | String | Yes |
| visibleToCild | Visible to child or not | Boolean | yes |
| rule | List of rules | Array | yes |
Details of object in rule:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| traffic | Traffic | String | yes |
| protocol | Protocol | String | yes |
| ipVersion | IP version | String | yes |
| fragmentsOnly | Fragments only | Boolean | yes |
| sourceIP | Source IP | String | no |
| sourceMask | Source mask | Number | no |
| sourcePort | Source port | Number | no |
| destinationIP | Destination IP | String | no |
| destinationMask | Destination mask | Number | no |
| destinationPort | Destination port | Number | no |
| vlanId | VLAN id | Number | no |
| protocolNumber | Protocol number | Number | no |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| createdResourceId | Unique id of the created device | Number |
Example
Request
POST https://<NSM_IP>/sdkapi/domain/101/packetcaptureruletemplate
Payload
{
"templateName": "test",
"visibleToCild": true,
"rule": [{
"traffic": "ALL",
"protocol": "TCP",
"ipVersion": "IPV_4",
"fragmentsOnly": false,
"sourceIP": "0.0.0.0",
"sourceMask": 0,
"sourcePort": 0,
"destinationIP": "0.0.0.0",
"destinationMask": 0,
"destinationPort": 0,
"vlanId": 0,
"protocolNumber": 0
}]
}
Response
{
"createdResourceId":101
}
Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 404 | 4703 | Invalid domain |
| 2 | 400 | 6202 | Packet capture duration should be between 1 and 9999 |
| 3 | 400 | 6203 | Packet capture size should be between 1 and <maxsize> |
| 4 | 400 | 6204 | SCP server IP, username, password, and capture size are mandatory |
| 5 | 400 | 6205 | SCP server username should not contain space and special characters other than {-,_,.} |
| 6 | 400 | 6210 | Protocol number should be between 1 and 65535 when PROTOCOL_NUMBER is selected as protocol while you have given --> <protocol_number> |